//////////////////////////////////////////////////////////////////////////
// define domains

domain='evpn.burble.dn42';
D(
    domain,
    REG_NONE,
    DnsProvider(PDNS),
    DefaultTTL(3600),
    NAMESERVER_TTL(86400),
    NAMESERVER('ns.uk-lon4.evpn.burble.dn42.'),
    NAMESERVER('ns.us-nyc1.evpn.burble.dn42.')
);

//////////////////////////////////////////////////////////////////////////

D_EXTEND(
    domain,

    // nameservers
    AAAA('ns.uk-lon4', 'fd42:4242:2601:329:72e8:bff:fe58:b51b'),
    AAAA('ns.uk-nyc1', 'fd42:4242:2601:325:72e8:bff:fe58:b51b'),

    // BGP reflectors
    AAAA('reflector.uk-lon4', 'fd42:4242:2601:329::23f1'),
    AAAA('reflector.us-nyc1', 'fd42:4242:2601:325::23f1'),

    // dn42 gateways
    AAAA('gateway.uk-lon4', 'fd42:4242:2601:329::4242'),
    AAAA('gateway.us-nyc1', 'fd42:4242:2601:325::4242'),    

    // borg backup
    AAAA('borg.se-sto1', 'fd42:4242:2601:330:216:3eff:fe01:1736')
)    


//////////////////////////////////////////////////////////////////////////
// hosts

// homenet special config
D_EXTEND(
    domain,
    AAAA('saiph', 'fd42:4242:2601:320::1')
);

// main nodes
nodes.forEach(function(n) {
    var hex = (n[4] + 32).toString(16);
    D_EXTEND(domain, AAAA(n[0], 'fd42:4242:2601:3'+hex+'::1'));
});

//////////////////////////////////////////////////////////////////////////
// end of file

